Skip to content
Docs

Who's signed in

GET
/api/me

Your account and the workspaces you belong to, with your role in each.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Response Body

The signed-in person and their workspaces.

application/json
Example Request
curl -X GET 'https://app.useroster.work/api/me'
Example Response
{  "user": {    "id": "u_123",    "name": "Dana Park",    "email": "dana@acme.example",    "role": "user"  },  "workspaces": [    {      "id": "dc8754cb-…",      "name": "Acme",      "slug": "acme",      "role": "owner"    }  ],  "canSendMail": true}